<?php
require_once(dirname(dirname(__FILE__))."/paineladm/funcoes.php");
$pathlocal = dirname(__FILE__);
//require_once(dirname($pathlocal)."/paineladm/classes/fpdf.class.php");
//require_once(dirname($pathlocal)."/paineladm/classes/sessao.class.php");
//$material = $_COOKIE['material'];
$sessao = new sessao();
$senhaCli=$sessao->getVar('iduser');
$idLabo=$sessao->getVar('idLabo');
$inicio=$sessao->getVar('inicio');
$final=$sessao->getVar('final');
$idDoc=$sessao->getVar('transfere');


//ENTRA DE QUAKQUER MANEIRA
//echo("3xxxxxxxxxxxxxxidDocumento= $idDoc<br>");
$generica=new tabelagenerica();
$generica->tabela="tempsila";
$generica->campos_valores = array(
		"obs1" => NULL,
		"obs2" => NULL,
		"obs3" => NULL,
		"obs4" => NULL,
		"obs5" => NULL,
		"obs6" => NULL,
		"obs7" => NULL,
		"obs8" => NULL,
		"obs9" => NULL,
		"obs10" => NULL,
		"obs11" => NULL,
		"obs12" => NULL,
		"obs13" => NULL,
		"obs14" => NULL,
		"obs15" => NULL,
		"obs16" => NULL,
		"obs17" => NULL,
		"obs18" => NULL,
		"obs19" => NULL,
		"obs20" => NULL,
	);
$generica->extras_select =" ";
//echo("eeeeexxxxxxxxxxxxxxxxxxxxxxxxxxeeeeeeerro $generica->extras_select <br>");
$contaAmostras=0;
$generica->selecionaCampos($generica);
$totalCampos=$sessao->getVar('controle3');
//$totalCampos=5;
while ($resgenerica = $generica->retornaDados()):
	$matriz[$contaAmostras][1]=$resgenerica->obs1;
	$matriz[$contaAmostras][2]=$resgenerica->obs2;
	$matriz[$contaAmostras][3]=$resgenerica->obs3;
	$matriz[$contaAmostras][4]=$resgenerica->obs4;
	$matriz[$contaAmostras][5]=$resgenerica->obs5;
	$matriz[$contaAmostras][6]=$resgenerica->obs6;
	$matriz[$contaAmostras][7]=$resgenerica->obs7;
	$matriz[$contaAmostras][8]=$resgenerica->obs8;
	$matriz[$contaAmostras][9]=$resgenerica->obs9;
	$matriz[$contaAmostras][10]=$resgenerica->obs10;
	$matriz[$contaAmostras][11]=$resgenerica->obs11;
	$matriz[$contaAmostras][12]=$resgenerica->obs12;
	$matriz[$contaAmostras][13]=$resgenerica->obs13;
	$matriz[$contaAmostras][14]=$resgenerica->obs14;
	$matriz[$contaAmostras][15]=$resgenerica->obs15;
	$matriz[$contaAmostras][16]=$resgenerica->obs16;
	$matriz[$contaAmostras][17]=$resgenerica->obs17;
	$matriz[$contaAmostras][18]=$resgenerica->obs18;
	$matriz[$contaAmostras][19]=$resgenerica->obs19;
	$matriz[$contaAmostras][20]=$resgenerica->obs20;
    $contaAmostras++;
endwhile;






//se eu pego daqui ele nao leva para dentro da funcao os cabecalhos
//entao crio uma sessao
$estring="";
for($i=1;$i<=$totalCampos;$i++):
  $cabecalhos[$i]=$matriz[0][$i];
endfor;
//$sessao->setVar('controle',$cabecalhos);

$limite=sizeof($matriz);
///////////////






switch ($tela):

case 'excel':
   //$filename="arquivoexcel2.xls";
   //header ("Content-Type: application/vnd.ms-excel");
   //header ("Content-Disposition: inline; filename=$filename");
   //echo("testando acesso EXCEL");


   // Determina que o arquivo é uma planilha do Excel
   header("Content-type: application/vnd.ms-excel");  

   // Força o download do arquivo
   header("Content-type: application/force-download"); 
 
   // Seta o nome do arquivo
   header("Content-Disposition: attachment; filename=otofile.xls");
 
   header("Pragma: no-cache");
   // Imprime o conteúdo da nossa tabela no arquivo que será gerado
   echo $html;
   break;

default:

//echo("Total de colunas= $totalCampos  Total de registros=$contaAmostras  Esta planilha excel pode ser baixada imediatamente.<br>");

echo('<table border="1">');
        //aqui vai o cabecalho
	    echo("<tr>");
    	for($j=1;$j<$totalCampos;$j++):
           echo("<td>".$cabecalhos[$j]."</td>");
		endfor;
 	    echo("</tr>");
		//aqui vai os conteudos dos n registros
		for($i=1;$i<$contaAmostras;$i++):
		    echo("<tr>");
	    	for($j=1;$j<$totalCampos;$j++):
	           echo("<td>".utf8_decode($matriz[$i][$j])."</td>");
			endfor;
	        echo("</tr>");
        endfor;
		
echo('</table');
       // Determina que o arquivo é uma planilha do Excel
       header("Content-type: application/vnd.ms-excel");  

	   // Força o download do arquivo
	   header("Content-type: application/force-download"); 
	 
	   // Seta o nome do arquivo
	   header("Content-Disposition: attachment; filename=otofile.xls");
	 
	   header("Pragma: no-cache");
	   // Imprime o conteúdo da nossa tabela no arquivo que será gerado
	   echo $html;
	
		break;
endswitch;
?>